ppx_js_style

Code style checker for Jane Street Packages
Description

Part of the Jane Street's PPX rewriters collection.

This packages is a no-op ppx rewriter. It is used as a 'lint' tool to enforce some coding conventions across all Jane Street packages.

Install
Published
22 Mar 2017
Authors
Maintainers
Sources
ppx_js_style-v0.9.0.tar.gz
md5=ad32e85a819693153dd7115e7025b7ef
Dependencies
ocaml-migrate-parsetree >= "0.4" & < "2.0.0"
ppx_metaquot >= "v0.9" & < "v0.10"
ppx_driver >= "v0.9" & < "v0.10"
ppx_core >= "v0.9" & < "v0.10"
jbuilder >= "1.0+beta4"
ocaml >= "4.03.0"
Reverse Dependencies
parsexp < "v0.10.0"
parsexp_io < "v0.10.0"
ppx_base < "v0.10.0"